function addABNValidation(abnFieldName, organisationFieldName, abnValidatePowerAutomateUrl) {

    var abnFieldSelector = "#" + abnFieldName;
    var organisationFieldSelector = "#" + organisationFieldName;
    var validationButtonID = "btnABNValidateFor_" + abnFieldName;
    var validationButtonSelector = "#" + validationButtonID;

     $(abnFieldSelector).after('<button id="' + validationButtonID + '" type="button" class="submit-btn btn btn-primary btn-abnvalidation" disabled="disabled">Validate ABN</button>');
    /*var abn = "95005449909"*/
    /*58093925207*/
    /* styling ABN Button */

    setFieldReadOnly(organisationFieldName, true, "text");
    $(abnFieldSelector).css("width", "35%");
    $(validationButtonSelector).css({ "margin-left": "10px", "height": "35px" });

    // until correct format of ABN, disabed the button
    var pattern1 = new RegExp("^[0-9]{11}$");  // 11 digits no spaces
    var pattern2 = new RegExp("^[0-9]{2} [0-9]{3} [0-9]{3} [0-9]{3}$") // xx xxx xxx xxx
    $(abnFieldSelector).keyup(function () {
        $(organisationFieldSelector).val("");
        var abn = $(abnFieldSelector).val();
        if (abn.match(pattern1) || abn.match(pattern2)) {
            $(validationButtonSelector).prop('disabled', false);
            
        } else {
            $(validationButtonSelector).prop('disabled', true);
        }
    });

    $(validationButtonSelector).click(function () {
        var abn = $(abnFieldSelector).val();
        var id = "";
        /*var pattern = new RegExp("^[0-9]{11}$");*/
        if (abn.match(pattern1) || abn.match(pattern2)) {
            var _url = abnValidatePowerAutomateUrl;
            var data = {};
            data["ABN"] = abn;
            var payload = {};
            payload.eventData = JSON.stringify(data);
            shell
                .ajaxSafePost({
                    type: "POST",
                    contentType: "application/json",
                    url: _url,
                    data: JSON.stringify(payload),
                    processData: false,
                    global: false,
                })
                .done(function (response) {
                    const result = JSON.parse(response);
                    debugger;
                    if (result["abnstatus"] === "Active") {

                        $(organisationFieldSelector).val(result["entityname"]);
                    }
                    else if (result["abnstatus"] === "Cancelled") {
                        alert("That ABN has been cancelled. Please provide an active ABN to proceed.");
                        $(organisationFieldSelector).val("");
                    }
                    else {
                        alert("That does not appear to be a valid active ABN.");
                        $(organisationFieldSelector).val("");
                    }
                })
                .fail(function () {
                    alert("The ABN lookup service is unavailable.  Please try again.");
                });
        }
        else {
            alert('That does not appear to be a valid active ABN.');
        }
    });
};